import React from 'react';
import ReactDOM from 'react-dom';
import {arc} from 'd3';

//console.log (arc);

const width=960; 
const height=500;
const cx = width/2;
const cy = height/2;
const strokewidth = 10;
const eyeOffsetX = 100;
const eyeoffsety1 =120;
const eyeoffsety2 =120;
const eyeradius =40;
const mouthwidth =20;
const mouthradius =100;
const noseoffset =20;
const noseradius =60;
const moutharc = arc()
    .innerRadius(mouthradius)
    .outerRadius(mouthradius+mouthwidth)
    .startAngle(Math.PI*0.5)
    .endAngle(Math.PI*1.25 );


const App =() => (
    <svg width={width} height={height}>
    <g transform ={`translate(${cx},${cy})`}>
            <circle
              //cx={cx}
              //cy={cy}
              r={cy -strokewidth/2}
              fill="yellow"
              stroke="black"
              stroke-width={strokewidth}
            >
            </circle>

            <circle
              cx= {-eyeOffsetX} 
              cy={-eyeoffsety1}
              r={eyeradius}
            >
            </circle>
            <circle cy={-noseoffset} r={noseradius} stroke="black" stroke-width="3" fill="red" />
           
      			<circle
              cx={ + eyeOffsetX} 
              cy= {-eyeoffsety2}
              r={eyeradius}
            >
            </circle>
         
          <path d={moutharc()}></path>
      </g>
    </svg>
  );
const rootElement = document.getElementById("root");
ReactDOM.render(<App />, rootElement);
//console.log(moutharc());